-- Copyright 2010 Evgeniy Vodolazskiy (waterlaz@gmail.com)
--
-- This library is free software; you can redistribute it and/or
-- modify it under the terms of the GNU Lesser General Public
-- License as published by the Free Software Foundation; either
-- version 2.1 of the License, or (at your option) any later version.
--
-- This library is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-- Lesser General Public License for more details.

module Network.XMMS.Client.Glib (
    mainLoopGmainInit
)where

import Network.XMMS.Constants

import Network.XMMS.Types
import Network.XMMS.Utilities

import Foreign
import Foreign.Ptr
import Foreign.C.Types
import Foreign.C.String
import Foreign.ForeignPtr
import Foreign.Marshal.Alloc
import Prelude hiding (init)
import Network.XMMS.Result
import Network.XMMS.Value
 

--void xmmsc_mainloop_gmain_init (xmmsc_connection_t *connection)
foreign import ccall safe "xmmsclient/xmmsclient-glib.h xmmsc_mainloop_gmain_init" 
    xmmsc_mainloop_gmain_init :: Ptr C_xmmsc_connection -> IO ()
mainLoopGmainInit :: Connection -> IO ()
mainLoopGmainInit connection = do
    withForeignPtr connection xmmsc_mainloop_gmain_init
